# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/brave/web/search?q=brave+search' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/brave/web/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/web/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/web/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/web/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/web/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/web/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/web/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "search",
"query": {
"original": "<string>",
"show_strict_warning": true,
"altered": "<string>",
"cleaned": "<string>",
"safesearch": true,
"is_navigational": true,
"is_geolocal": true,
"local_decision": "<string>",
"local_locations_idx": 123,
"is_trending": true,
"is_news_breaking": true,
"ask_for_location": true,
"language": {
"main": "<string>"
},
"spellcheck_off": true,
"country": "<string>",
"bad_results": true,
"should_fallback": true,
"lat": "<string>",
"long": "<string>",
"postal_code": "<string>",
"city": "<string>",
"header_country": "<string>",
"more_results_available": true,
"state": "<string>",
"custom_location_label": "<string>",
"reddit_cluster": "<string>",
"summary_key": "<string>",
"search_operators": {
"applied": false,
"cleaned_query": "<string>",
"sites": [
"<string>"
]
},
"related_queries": []
},
"discussions": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "en",
"family_friendly": true,
"type": "discussion",
"subtype": "generic",
"is_live": false,
"deep_results": {
"news": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"buttons": [
{
"title": "<string>",
"url": "<string>",
"type": "button_result"
}
],
"videos": [
{
"title": "<string>",
"url": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "video_result",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"publisher": "<string>"
}
],
"images": [
{
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"properties": {
"url": "<string>",
"resized": "<string>",
"placeholder": "<string>",
"height": 123,
"width": 123,
"format": "<string>",
"content_size": "<string>"
}
}
]
},
"schemas": [
"<unknown>"
],
"meta_url": {},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"location": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"restaurant": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"faq": {
"items": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
]
},
"qa": {
"question": "<string>",
"answer": {
"text": "<string>",
"author": "<string>",
"upvoteCount": 123,
"downvoteCount": 123
}
},
"book": {
"title": "<string>",
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"price": {
"price": "<string>",
"priceCurrency": "<string>"
},
"pages": 123,
"publisher": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"article": {
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"publisher": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"isAccessibleForFree": true
},
"product": {
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
},
"product_cluster": [
{
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
}
],
"cluster_type": "<string>",
"cluster": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
],
"creative_work": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"music_recording": {
"name": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
},
"review": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"description": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"type": "Review"
},
"recipe": {
"title": "<string>",
"description": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"domain": "<string>",
"favicon": "<string>",
"time": "<string>",
"prep_time": "<string>",
"cook_time": "<string>",
"ingredients": "<string>",
"instructions": [
{
"text": "<string>",
"name": "<string>",
"url": "<string>",
"image": [
"<string>"
]
}
],
"servings": 123,
"calories": 123,
"publisher": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"recipeCategory": "<string>",
"recipeCuisine": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
}
},
"software": {
"name": "<string>",
"author": "<string>",
"version": "<string>",
"codeRepository": "<string>",
"homepage": "<string>",
"datePublished": "<string>",
"is_npm": true,
"is_pypi": true,
"stars": 123,
"forks": 123,
"programmingLanguage": "<string>"
},
"organization": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"content_type": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
],
"data": {
"forum_name": "<string>",
"num_answers": 123,
"score": "<string>",
"title": "<string>",
"question": "<string>",
"top_comment": "<string>"
}
}
],
"type": "search",
"mutated_by_goggles": false
},
"faq": {
"results": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
],
"type": "faq"
},
"infobox": {
"results": [
{
"title": "<string>",
"url": "<string>",
"position": 123,
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "infobox",
"label": "<string>",
"category": "<string>",
"long_desc": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"attributes": [],
"profiles": [
{
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
}
],
"website_url": "<string>",
"ratings": [
{
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
],
"providers": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"distance": {
"value": 123,
"units": "<string>"
},
"images": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
],
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"subtype": "generic",
"found_in_urls": [
"<string>"
]
}
],
"type": "graph"
},
"locations": {
"results": [
{
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
}
],
"type": "locations",
"provider": {}
},
"mixed": {
"type": "mixed",
"main": [
{
"type": "<string>",
"index": 123,
"all": false
}
],
"top": [
{
"type": "<string>",
"index": 123,
"all": false
}
],
"side": [
{
"type": "<string>",
"index": 123,
"all": false
}
]
},
"news": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"type": "news",
"mutated_by_goggles": false
},
"videos": {
"results": [
{
"url": "<string>",
"title": "<string>",
"type": "video_result",
"description": "<string>",
"age": "<string>",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"video": {
"duration": "<string>",
"views": 123,
"creator": "<string>",
"publisher": "<string>",
"requires_subscription": true,
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
}
},
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"hostname": "<string>",
"favicon": "<string>",
"path": "<string>"
},
"thumbnail": {
"src": "<string>",
"original": "<string>"
}
}
],
"type": "videos",
"mutated_by_goggles": false
},
"web": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "en",
"family_friendly": true,
"type": "search_result",
"subtype": "generic",
"is_live": false,
"deep_results": {
"news": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"buttons": [
{
"title": "<string>",
"url": "<string>",
"type": "button_result"
}
],
"videos": [
{
"title": "<string>",
"url": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "video_result",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"publisher": "<string>"
}
],
"images": [
{
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"properties": {
"url": "<string>",
"resized": "<string>",
"placeholder": "<string>",
"height": 123,
"width": 123,
"format": "<string>",
"content_size": "<string>"
}
}
]
},
"schemas": [
"<unknown>"
],
"meta_url": {},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"location": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"restaurant": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"faq": {
"items": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
]
},
"qa": {
"question": "<string>",
"answer": {
"text": "<string>",
"author": "<string>",
"upvoteCount": 123,
"downvoteCount": 123
}
},
"book": {
"title": "<string>",
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"price": {
"price": "<string>",
"priceCurrency": "<string>"
},
"pages": 123,
"publisher": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"article": {
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"publisher": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"isAccessibleForFree": true
},
"product": {
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
},
"product_cluster": [
{
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
}
],
"cluster_type": "<string>",
"cluster": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
],
"creative_work": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"music_recording": {
"name": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
},
"review": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"description": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"type": "Review"
},
"recipe": {
"title": "<string>",
"description": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"domain": "<string>",
"favicon": "<string>",
"time": "<string>",
"prep_time": "<string>",
"cook_time": "<string>",
"ingredients": "<string>",
"instructions": [
{
"text": "<string>",
"name": "<string>",
"url": "<string>",
"image": [
"<string>"
]
}
],
"servings": 123,
"calories": 123,
"publisher": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"recipeCategory": "<string>",
"recipeCuisine": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
}
},
"software": {
"name": "<string>",
"author": "<string>",
"version": "<string>",
"codeRepository": "<string>",
"homepage": "<string>",
"datePublished": "<string>",
"is_npm": true,
"is_pypi": true,
"stars": 123,
"forks": 123,
"programmingLanguage": "<string>"
},
"organization": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"content_type": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"type": "search",
"family_friendly": true
},
"summarizer": {
"key": "<string>",
"type": "summarizer"
},
"rich": {
"type": "rich",
"hint": {
"vertical": "calculator",
"callback_key": "<string>"
}
}
}Web Search
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/brave/web/search?q=brave+search' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/brave/web/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/web/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/web/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/web/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/web/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/web/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/web/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "search",
"query": {
"original": "<string>",
"show_strict_warning": true,
"altered": "<string>",
"cleaned": "<string>",
"safesearch": true,
"is_navigational": true,
"is_geolocal": true,
"local_decision": "<string>",
"local_locations_idx": 123,
"is_trending": true,
"is_news_breaking": true,
"ask_for_location": true,
"language": {
"main": "<string>"
},
"spellcheck_off": true,
"country": "<string>",
"bad_results": true,
"should_fallback": true,
"lat": "<string>",
"long": "<string>",
"postal_code": "<string>",
"city": "<string>",
"header_country": "<string>",
"more_results_available": true,
"state": "<string>",
"custom_location_label": "<string>",
"reddit_cluster": "<string>",
"summary_key": "<string>",
"search_operators": {
"applied": false,
"cleaned_query": "<string>",
"sites": [
"<string>"
]
},
"related_queries": []
},
"discussions": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "en",
"family_friendly": true,
"type": "discussion",
"subtype": "generic",
"is_live": false,
"deep_results": {
"news": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"buttons": [
{
"title": "<string>",
"url": "<string>",
"type": "button_result"
}
],
"videos": [
{
"title": "<string>",
"url": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "video_result",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"publisher": "<string>"
}
],
"images": [
{
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"properties": {
"url": "<string>",
"resized": "<string>",
"placeholder": "<string>",
"height": 123,
"width": 123,
"format": "<string>",
"content_size": "<string>"
}
}
]
},
"schemas": [
"<unknown>"
],
"meta_url": {},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"location": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"restaurant": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"faq": {
"items": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
]
},
"qa": {
"question": "<string>",
"answer": {
"text": "<string>",
"author": "<string>",
"upvoteCount": 123,
"downvoteCount": 123
}
},
"book": {
"title": "<string>",
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"price": {
"price": "<string>",
"priceCurrency": "<string>"
},
"pages": 123,
"publisher": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"article": {
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"publisher": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"isAccessibleForFree": true
},
"product": {
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
},
"product_cluster": [
{
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
}
],
"cluster_type": "<string>",
"cluster": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
],
"creative_work": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"music_recording": {
"name": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
},
"review": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"description": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"type": "Review"
},
"recipe": {
"title": "<string>",
"description": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"domain": "<string>",
"favicon": "<string>",
"time": "<string>",
"prep_time": "<string>",
"cook_time": "<string>",
"ingredients": "<string>",
"instructions": [
{
"text": "<string>",
"name": "<string>",
"url": "<string>",
"image": [
"<string>"
]
}
],
"servings": 123,
"calories": 123,
"publisher": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"recipeCategory": "<string>",
"recipeCuisine": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
}
},
"software": {
"name": "<string>",
"author": "<string>",
"version": "<string>",
"codeRepository": "<string>",
"homepage": "<string>",
"datePublished": "<string>",
"is_npm": true,
"is_pypi": true,
"stars": 123,
"forks": 123,
"programmingLanguage": "<string>"
},
"organization": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"content_type": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
],
"data": {
"forum_name": "<string>",
"num_answers": 123,
"score": "<string>",
"title": "<string>",
"question": "<string>",
"top_comment": "<string>"
}
}
],
"type": "search",
"mutated_by_goggles": false
},
"faq": {
"results": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
],
"type": "faq"
},
"infobox": {
"results": [
{
"title": "<string>",
"url": "<string>",
"position": 123,
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "infobox",
"label": "<string>",
"category": "<string>",
"long_desc": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"attributes": [],
"profiles": [
{
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
}
],
"website_url": "<string>",
"ratings": [
{
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
],
"providers": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"distance": {
"value": 123,
"units": "<string>"
},
"images": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
],
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"subtype": "generic",
"found_in_urls": [
"<string>"
]
}
],
"type": "graph"
},
"locations": {
"results": [
{
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
}
],
"type": "locations",
"provider": {}
},
"mixed": {
"type": "mixed",
"main": [
{
"type": "<string>",
"index": 123,
"all": false
}
],
"top": [
{
"type": "<string>",
"index": 123,
"all": false
}
],
"side": [
{
"type": "<string>",
"index": 123,
"all": false
}
]
},
"news": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"type": "news",
"mutated_by_goggles": false
},
"videos": {
"results": [
{
"url": "<string>",
"title": "<string>",
"type": "video_result",
"description": "<string>",
"age": "<string>",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"video": {
"duration": "<string>",
"views": 123,
"creator": "<string>",
"publisher": "<string>",
"requires_subscription": true,
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
}
},
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"hostname": "<string>",
"favicon": "<string>",
"path": "<string>"
},
"thumbnail": {
"src": "<string>",
"original": "<string>"
}
}
],
"type": "videos",
"mutated_by_goggles": false
},
"web": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "en",
"family_friendly": true,
"type": "search_result",
"subtype": "generic",
"is_live": false,
"deep_results": {
"news": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"buttons": [
{
"title": "<string>",
"url": "<string>",
"type": "button_result"
}
],
"videos": [
{
"title": "<string>",
"url": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "video_result",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"publisher": "<string>"
}
],
"images": [
{
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"properties": {
"url": "<string>",
"resized": "<string>",
"placeholder": "<string>",
"height": 123,
"width": 123,
"format": "<string>",
"content_size": "<string>"
}
}
]
},
"schemas": [
"<unknown>"
],
"meta_url": {},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"location": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"restaurant": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"faq": {
"items": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
]
},
"qa": {
"question": "<string>",
"answer": {
"text": "<string>",
"author": "<string>",
"upvoteCount": 123,
"downvoteCount": 123
}
},
"book": {
"title": "<string>",
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"price": {
"price": "<string>",
"priceCurrency": "<string>"
},
"pages": 123,
"publisher": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"article": {
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"publisher": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"isAccessibleForFree": true
},
"product": {
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
},
"product_cluster": [
{
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
}
],
"cluster_type": "<string>",
"cluster": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
],
"creative_work": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"music_recording": {
"name": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
},
"review": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"description": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"type": "Review"
},
"recipe": {
"title": "<string>",
"description": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"domain": "<string>",
"favicon": "<string>",
"time": "<string>",
"prep_time": "<string>",
"cook_time": "<string>",
"ingredients": "<string>",
"instructions": [
{
"text": "<string>",
"name": "<string>",
"url": "<string>",
"image": [
"<string>"
]
}
],
"servings": 123,
"calories": 123,
"publisher": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"recipeCategory": "<string>",
"recipeCuisine": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
}
},
"software": {
"name": "<string>",
"author": "<string>",
"version": "<string>",
"codeRepository": "<string>",
"homepage": "<string>",
"datePublished": "<string>",
"is_npm": true,
"is_pypi": true,
"stars": 123,
"forks": 123,
"programmingLanguage": "<string>"
},
"organization": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"content_type": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"type": "search",
"family_friendly": true
},
"summarizer": {
"key": "<string>",
"type": "summarizer"
},
"rich": {
"type": "rich",
"hint": {
"vertical": "calculator",
"callback_key": "<string>"
}
}
}Request contract
- Method and path: GET /apis/v1/brave/web/search
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/brave/web/search
- accept: header; optional
- api-version: header; optional
- cache-control: header; optional
- user-agent: header; optional
- x-loc-city: header; optional
- x-loc-country: header; optional
- x-loc-lat: header; optional
- x-loc-long: header; optional
- x-loc-postal-code: header; optional
- x-loc-state: header; optional
- x-loc-state-name: header; optional
- x-loc-timezone: header; optional
- count: query; optional
- country: query; optional
- enable_rich_callback: query; optional
- extra_snippets: query; optional
- freshness: query; optional
- goggles: query; optional
- goggles_id: query; optional
- include_fetch_metadata: query; optional
- offset: query; optional
- operators: query; optional
- q: query; required
- result_filter: query; optional
- safesearch: query; optional
- search_lang: query; optional
- spellcheck: query; optional
- summary: query; optional
- text_decorations: query; optional
- ui_lang: query; optional
- units: query; optional
- Runtime facts: 8627d7bc05db287888574873d586ce7dca25f9fa7b4a266cb71760e824597bfc
{
"operationId": "get_any_brave_search_apis_v1_brave_web_search",
"method": "GET",
"path": "/apis/v1/brave/web/search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "accept",
"in": "header",
"required": false,
"description": "The default supported media type is application/json.",
"schema": {
"allOf": [
{
"type": "string",
"enum": [
"application/json",
"*/*"
],
"title": "Accept"
},
{
"default": "application/json"
}
],
"title": "Media type",
"description": "The default supported media type is application/json.",
"examples": [
"application/json"
]
},
[...]
